QGIS Application - Bug report #3604
paste doesn't convert geometry or give error on incompatible geometry
2011-03-13 04:14 PM - William Kyngesburye

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 13663
Description

For example, I'm working in a [[PostGIS]] multipolygon layer. | copy a polygon (not multi) from a shapefile and paste it into the postGIS
layer. QGIS doesn't give me a warning or convert the polygon to a multipolygon, and editing works fine on the feature. But when | try to
save the [[PostGIS]] layer, QGIS now gives me an error that there is an invalid geometry type and a feature wasn't saved (the one | pasted
in).

I would like it to convert the polygon to multipolygon, and other simple conversions. But at least QGIS should refuse to paste and give a
warning about a geometry mismatch.

Associated revisions

Revision 2f2d6ac9 - 2014-03-03 09:38 AM - Jiirgen Fischer

Merge pull request #1120 from 3nids/pasteconvertgeom

copy/paste: try to convert geometries (fixes #3604)

History

#1 - 2011-03-13 05:53 PM - William Kyngesburye

Hmm, it looks like even copying from a multipolygon layer (both shapefile and another [[PostGIS]] layer) is not working. | still get invalid geometry.

#2 - 2011-03-29 07:03 AM - William Kyngesburye

Now at least copying from a similar postgis multipolygon layer seems to be working. Still can't copy from the shapefile.

#3 - 2011-04-03 09:30 AM - William Kyngesburye

Definitely something with copying from a shapefile to postgis. | converted the shapefile to a multipolygon postgis layer outside QGIS, added that layer to

QGIS, and copy from that to my postgis layer works.

#4 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:26 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#6 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-03-03 12:38 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"2f2d6ac95b052bb490c47ba53eb327¢c96176eed1".
